Package Details: umit 1.0-1

Git Clone URL: https://aur.archlinux.org/umit.git (read-only)
Package Base: umit
Description: A powerful nmap frontend.
Upstream URL: http://www.umitproject.org/
Licenses: GPL
Submitter: None
Maintainer: fukawi2
Last Packager: fukawi2
Votes: 62
Popularity: 1.222577
First Submitted: 2008-03-22 16:37
Last Updated: 2015-06-08 23:56

Latest Comments

fukawi2 commented on 2013-04-16 03:17

Adopted and updated to 1.0

hexadecagram commented on 2012-05-24 00:16

The following patch updates UMIT to the current 1.0 release and changes the dependency to python2, resulting a successful build.

--- PKGBUILD.orig 1970-01-01 02:13:08.000000000 -0700
+++ PKGBUILD 2012-05-23 18:10:24.601614970 -0600
@@ -1,19 +1,19 @@
# Contributor: Haoyu Bai <baihaoyu@gmail.com>
pkgname=umit
-pkgver=1.0RC
+pkgver=1.0
pkgrel=1
pkgdesc="UMIT is a powerful nmap frontend."
arch=('i686' 'x86_64' 'ppc')
url="http://www.umitproject.org/"
license=('GPL')
-depends=('python' 'pygtk' 'nmap' 'python-pysqlite')
+depends=('python2' 'pygtk' 'nmap' 'python-pysqlite')
source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2
'setup.patch')

build() {
cd $startdir/src/$pkgname-$pkgver
patch -p0 < $startdir/setup.patch
- python setup.py install --root=$startdir/pkg --install-lib=usr/share/umit || return 1
+ python2 setup.py install --root=$startdir/pkg --install-lib=usr/share/umit || return 1
}
-md5sums=('4466f58f756acc1265feb7f9f5670cc0'
+md5sums=('68412d8d50dafd53e0392f71ed62dcfc'
'a1e1b57443c92e716b881bdb347fe091')

Anonymous comment on 2010-11-05 11:48

Please change Python to Python2

Anonymous comment on 2010-08-05 14:01

Fixed. Thanks!

Anonymous comment on 2010-08-05 13:34

The setup.patch is not provided by the PKGBUILD.

Anonymous comment on 2010-07-18 03:13

Why flagged out-of-date?